#include "hardware.h"
#include "leds.h"

void leds_init(void)
{
	leds_clr(LED1_BIT | LED2_BIT | LED3_BIT);
	LED_DDR |= LED1_BIT | LED2_BIT | LED3_BIT;
}

void leds_set(unsigned char mask)
{
	LED_PORT &= ~mask;
}

void leds_clr(unsigned char mask)
{
	LED_PORT |= mask;
}

